Bug 146315 - CAN-2005-0149 Mail responds to cookie requests
CAN-2005-0149 Mail responds to cookie requests
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
impact=moderate,public=20050120
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-26 16:59 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 05:26:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-26 16:59:47 EST
===================================
Mozilla Security Advisory MSA05-008
===================================

Title:      Synthetic middle-click event can steal clipboard contents
Severity:   Moderate
Reporter:   Jesse Ruderman

Fixed in:   Firebird 1.0
            Mozilla Suite 1.7.5


Description
-----------
Script-generated middle-click events can steal clipboard contents
on systems where that action is a paste. Middle-click paste is the
default behavior on Unix systems, and a hidden option elsewhere.


Workaround
----------
Disable javascript or upgrade to fixed version.


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=265728
Comment 1 Josh Bressers 2005-01-26 17:52:29 EST
Chris, now that I look at this issue (it's the one you told me you were fixing
in RHEL4 0day thunderbird), I don't think this is right.  Can you update this
bug with what you're actually fixing before I screw it up again.
Comment 2 Josh Bressers 2005-01-26 18:02:22 EST
This is the correct information about this issue.  Please ignore the opening
comment.

Title: Mail responds to cookie requests
Severity: High
Reporter: Michiel van Leeuwen

Fixed in: Thunderbird 1.0
  Mozilla Suite 1.7.5

Vulnerable: Thunderbird 0.6 - 0.9
  Mozilla Suite 1.7 - 1.7.3
Description
Mozilla mail clients from March to December 2004 responded to cookie requests
accompanying content loaded over HTTP, ignoring the setting of the preference
"network.cookie.disableCookieForMailNews" (disabled cookies are the default in
mail). Cookies in mail (for example, spam) could be used to track people.
Workaround
Set the mail client not to load remote content at all (the default setting in
Thunderbird, the "View as Simple text" option in the Mozilla Suite). Upgrade to
the fixed version
References
https://bugzilla.mozilla.org/show_bug.cgi?id=268107
Comment 3 Mark J. Cox (Product Security) 2005-02-15 05:26:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-094.html

Note You need to log in before you can comment on or make changes to this bug.